Loading...
Searching...
No Matches
gsm0808_uplink_request Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

3GPP TS 48.008 §3.2.1.57 (VGCS) UPLINK REQUEST More...

`#include <gsm0808.h>`

## Data Fields

bool | talker_priority_present
enum gsm0808_talker_priority | talker_priority
bool | cell_identifier_present
struct gsm0808_cell_id | cell_identifier
bool | l3_present
struct gsm0808_layer_3_information | l3
bool | mi_present
struct osmo_mobile_identity | mi

## Detailed Description

3GPP TS 48.008 §3.2.1.57 (VGCS) UPLINK REQUEST

## Field Documentation

## cell_identifier

struct gsm0808_cell_id gsm0808_uplink_request::cell_identifier

## cell_identifier_present

bool gsm0808_uplink_request::cell_identifier_present

## l3

struct gsm0808_layer_3_information gsm0808_uplink_request::l3

## l3_present

bool gsm0808_uplink_request::l3_present

## mi

struct osmo_mobile_identity gsm0808_uplink_request::mi

## mi_present

bool gsm0808_uplink_request::mi_present

## talker_priority

enum gsm0808_talker_priority gsm0808_uplink_request::talker_priority

## talker_priority_present

bool gsm0808_uplink_request::talker_priority_present

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808.h